
Redmine - Defect #2992

Each POST causes an ERROR 500

2009-03-17 19:52 - Pierre Yager

Status: Closed Start date: 2009-03-17

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Each time I "POST" something to Redmine, it fails with an error 500 :

There is nothing in production.log and apache_error.log contains this :

1. cat apache_error.log

[Tue Mar 17 19:48:20 2009] [error] [client 192.168.57.106] Premature end of script headers: projects, referer: 

http://somewhere.tld/projects/neptis/issues

[Tue Mar 17 19:49:31 2009] [error] [client 192.168.57.106] Premature end of script headers: issues, referer: 

http://somewhere.tld/issues/bulk_edit?ids%5B%5D=1054&ids%5B%5D=1055

I updated to redmine HEAD several times and this problem is still here.

History

#1 - 2009-03-17 19:58 - Pierre Yager

Pierre Yager wrote:

Each time I "POST" something to Redmine, it fails with an error 500 :

There is nothing in production.log and apache_error.log contains this :

1. cat apache_error.log

[Tue Mar 17 19:48:20 2009] [error] [client 192.168.57.106] Premature end of script headers: projects, referer: 

http://somewhere.tld/projects/neptis/issues

[Tue Mar 17 19:49:31 2009] [error] [client 192.168.57.106] Premature end of script headers: issues, referer: 

http://somewhere.tld/issues/bulk_edit?ids%5B%5D=1054&ids%5B%5D=1055

I updated to redmine HEAD several times and this problem is still here.

 I run redmine HEAD on Debian Testing, with Apache 2 and Passenger (mod_rails) 2.1.2, Backend is MySQL 5.0.51a-24 (from Debian Testing)

#2 - 2009-06-08 15:40 - Felix Dominguez

Pierre

If you run redmine standalone do you get the same error?

change directory to the redmine install directory

then run "ruby script/server -e production"

Also check your permissions. Passenger defaults to running the rails app as the owner of config/environment.rb.  That user needs permissions to the

directories specified in the Redmine Installation instructions.

#3 - 2009-06-09 09:37 - Pierre Yager

Hi Felix,

Thanks for your help, I updated redmine to latest SVN, changed the permissions to www-data:www-data / 775 for the whole redmine tree.

The problem is still here with passenger. So I ran script/server -e production and I got this stack trace (I removed the mongrel part of the stack trace) :

NoMethodError (undefined method `finder' for #<ActionView::Base:0xf5ea24c8>):

/vendor/plugins/engines_old/lib/engines/rails_extensions/action_mailer.rb:73:in `initialize_template_class'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:562:in `render'
/app/models/mailer.rb:333:in `render_message'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:481:in `create!'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:471:in `each'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:471:in `create!'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:455:in `initialize'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:392:in `new'

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.2.2/lib/action_mailer/base.rb:392:in `method_missing'

/app/models/journal_observer.rb:20:in `after_create'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/observer.rb:171:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/observer.rb:171:in `update'

/usr/lib/ruby/1.8/observer.rb:185:in `notify_observers'

/usr/lib/ruby/1.8/observer.rb:184:in `each'

/usr/lib/ruby/1.8/observer.rb:184:in `notify_observers'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:328:in `notify'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:321:in `callback'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:238:in `create_without_timestamps'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/timestamp.rb:29:in `create'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2699:in `create_or_update_without_callbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:222:in `create_or_update'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2383:in `save_without_validation'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/validations.rb:1009:in `save_without_dirty'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/dirty.rb:79:in `save_without_transactions'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:179:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:179:in `with_transaction_returning_status'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/database_statements.rb:66:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:129:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:138:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:178:in `with_transaction_returning_status'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:146:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:158:in `rollback_active_record_state!'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:146:in `save'

/app/models/journal.rb:43:in `save'

/app/models/issue.rb:313:in `create_journal'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:178:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:178:in `evaluate_method'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:166:in `call'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:93:in `run'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:92:in `each'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:92:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:92:in `run'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/callbacks.rb:277:in `run_callbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:315:in `callback'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/callbacks.rb:223:in `create_or_update'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/base.rb:2383:in `save_without_validation'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/validations.rb:1009:in `save_without_dirty'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/dirty.rb:79:in `save_without_transactions'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:179:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:179:in `with_transaction_returning_status'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/database_statements.rb:66:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:129:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:138:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:178:in `with_transaction_returning_status'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:146:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:158:in `rollback_active_record_state!'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/transactions.rb:146:in `save'

/app/controllers/issues_controller.rb:198:in `edit'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1253:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1253:in `perform_action_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:617:in `call_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/rescue.rb:136:in `perform_action_without_caching'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/lib/active_record/query_cache.rb:8:in `cache'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:524:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:524:in `process_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:606:in `process_without_session_management_support'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session_management.rb:134:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:392:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:183:in `handle_request'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:110:in `dispatch_unlocked'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:123:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:122:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:122:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:132:in `dispatch_cgi'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:39:in `dispatch'

Can this problem be related to email sending process ?

#4 - 2009-06-11 04:27 - Felix Dominguez

It does appear to be an issue with the emailing sending process.

Can you paste in the  production.log as well so I can see what information it is trying to inset into the database.

Could you also reproduce it in the development environment? It should produce more information in the development.log if you configure the

development environment in config/database.yml and run "ruby script/server -e development" it should produce the same errors.

#5 - 2009-06-14 10:50 - Jean-Philippe Lang

What is /vendor/plugins/engines_old ?

#6 - 2009-06-15 04:00 - Felix Dominguez

Jean-Philippe,

You should be able to safely remove the engines_old plugin.  It was required in the past as a separate install but is now part of the core.

-Felix

#7 - 2009-09-20 10:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback
